Update individual fields of a worker

View as Markdown

A ViewSet for Worker instances.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this worker.

Request

This endpoint expects an object.
fqdnstringOptional1-255 characters
cpuintegerOptional0-2147483647
memoryintegerOptional0-2147483647
storageintegerOptional0-2147483647
availablebooleanOptional
cpu_archenumOptional
  • x86 - x86
  • ARM - ARM
ip_addressstringOptional>=1 character
fleetstringOptionalformat: "uuid"
The fleet that the worker belongs to.
flagsobjectOptional
Behavior flags for the worker.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
fqdnstring<=255 characters
ip_addressstring
fleetstringformat: "uuid"
The fleet that the worker belongs to.
cpuintegerOptional0-2147483647
memoryintegerOptional0-2147483647
storageintegerOptional0-2147483647
availablebooleanOptional
cpu_archenumOptional
  • x86 - x86
  • ARM - ARM
flagsobjectOptional
Behavior flags for the worker.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error